#  Copyright (C) 2020-2021 Orange
#
#    Licensed under the Apache License, Version 2.0 (the "License"); you may
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.
name: service
vm:
  disk_size: 24
  ram: 16384
  disks:
    - okstore/service
  networks:
    - network: oknet
disk_setup:
  partitions:
    '/dev/vdb':
      layout:
        - 90
        - 5
        - 5
  filesystems:
    - filesystem: ext4
      device: /dev/vdb
      partition: 1
      extra_opts:
      - -E
      - root_owner=200:200
    - filesystem: ext4
      device: /dev/vdb
      partition: 2
      extra_opts:
      - -E
      - root_owner=1000:1000
    - filesystem: ext4
      device: /dev/vdb
      partition: 3
      extra_opts:
      - -E
      - root_owner=100:100
mounts:
  - [/dev/vdb1, /repo, auto, defaults]
  - [/dev/vdb2, /gitea, auto, defaults]
  - [/dev/vdb3, /vault, auto, defaults]
os: focal
ntp:
  clients:
    - 192.168.133.0/24

kubernetes:
  endpoint: 192.168.133.12
  cluster_name: service
  role: standalone
  report: true
  container_engine: containerd
  version: v1.24.2

network:
  version: 2
  ethernets:
    ens3:
      dhcp4: false
      addresses: [192.168.133.12/24]
      gateway4: 192.168.133.1
      nameservers:
        addresses:
          - 192.168.133.1
        search:
          - kanod.home.arpa
